Subject: Espacement horizontal

From: Laurent Richard <[email-masked]>
Date: Sat, 21 Mar 2009 21:00:15 +0100

Bonsoir!

Je n'arrive pas à ce qu'une petite phrase mélodique qui prend la moitié
d'une ligne, prenne la ligne entière.
Et je n'arrive pas à trouver quoi que ce soit dans la doc. :(
Quelqu'un a t-il une solution?

Cordialement

---

From: Luc De Rossi <[email-masked]>
Date: Sat, 21 Mar 2009 22:29:41 +0100

Bonsoir,

si j'ai bien compris, vous avez une courte phrase musicale mais elle est 
alignée à gauche au lieu d'être étirée sur toute la ligne ?

Vérifiez s'il n'y a pas un ragged-right = ##t ou ragged-last = ##t qui 
traîne dans le bloc \paper.
Si on n'utilise pas ces commandes, elles sont par défaut sur ##f, donc 
les courts systèmes sont étirés (en utilisant un \break), y compris le 
dernier de la partition (ragged-last).

Cordialement,

Luc De Rossi

Laurent Richard a écrit :
> Bonsoir!
>
>
> Je n'arrive pas à ce qu'une petite phrase mélodique qui prend la 
> moitié d'une ligne, prenne la ligne entière.
> ------------------------------------------------------------------------
>
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr
>   

-- 
Luc De Rossi
Lilypond 2.11.34
Ubuntu Hardy Heron

---

From: Laurent Richard <[email-masked]>
Date: Sat, 21 Mar 2009 22:38:01 +0100

> alignée à gauche au lieu d'être étirée sur toute la ligne ?

C'était bien ça!!

> dernier de la partition (ragged-last).

En fait il n'y avait pas ces paramètres j'ai du les rajouter dans
le /layout et mettre les réglages sur ##f et tout fonctionne!

Merci beaucoup
Cordialement

---

From: "Gilles THIBAULT" <[email-masked]>
Date: Sun, 22 Mar 2009 10:51:19 +0100

Je n'arrive pas à ce qu'une petite phrase mélodique qui prend la moitié d'une ligne, prenne la ligne entière.
  Et je n'arrive pas à trouver quoi que ce soit dans la doc. 
  Quelqu'un a t-il une solution?

Essaye avec ragged-right

%%%%%%%%
\paper {
 ragged-right = ##f
}

\new Staff 
{ g'2 c'' \bar "|."}
%%%%%%%%

Il y a plein de réglages dans la section \paper, qui commencent par "ragged" qui sont très utiles, ( voir doc), le plus dur étant
 de savoir s'il faut mettre à true ou à false ...

Bon dimanche.

Gilles

---

From: Daniel Cartron <[email-masked]>
Date: Sun, 22 Mar 2009 12:13:02 +0100

Le dimanche 22 mars 2009, Gilles THIBAULT a écrit :
> Il y a plein de réglages dans la section \paper, qui commencent par
> "ragged" qui sont très utiles, ( voir doc), le plus dur étant de savoir
> s'il faut mettre à true ou à false ...

C'est pour ça que je me suis fait une section papier avec un résumé de tous 
les réglages que j'ai trouvé, et un petit commentaire, pour savoir sur quoi 
agir. Dans mon éditeur un clic sur une des icônes correspondantes m'insère ça 
en 3 morceaux, les réglages horizontaux, les verticaux et les autres. En 
réalité j'ai une 4e icône qui insère mes réglages habituels, si je veux 
changer qq chose je rajoute la partie qui m'intéresse.

Si  ça peut aider je vous met ça ci-dessous, mais j'ai regroupé mes trois 
parties en une seule. Il faudrait pour être complet rajouter aussi les 
réglages du genre #(set-paper-size "a5" 'landscape) mais ça sera pour plus 
tard.

Si qqun constate une erreur je suis preneur j'ai pas encore tout testé...

	\paper {
	%% 	Dimensions horizontales par défaut à décommenter et modifier si besoin
% 	paper-width = 210\mm  %  largeur de la page
% 	left-margin = 10\mm  % marge gauche
% 	line-width = 190\mm  % largeur de ligne, par défaut largeur de la page - 40 
mm
% 	indent = 15\mm  % retrait à gauche du premier système (par défaut largeur 
de la page/14)
% 	short-indent = 0\mm  % retrait à gauche de tous les systèmes
% 	horizontal-shift =  0.0  % retrait à droite de tous les systèmes

%% 	Dimensions verticales par défaut à décommenter et modifier si besoin
% 	paper-height = \mm % hauteur de la page (taille du papier)
% 	before-title-space = 10\mm %  distance entre la fin de la pièce précédente 
et le premier titre
% 	top-margin = 5\mm % distance entre le haut de la page et le premier titre
% 	between-title-space = 2\mm % distance entre chaque titre
% 	head-separation = 4\mm % distance entre l'en-tête et le premier titre ou 
système
% 	after-title-space = 5\mm % distance entre le dernier titre et le premier 
système
% 	between-system-padding = 4\mm % espace minimal entre les symboles des 
systèmes
% 	between-system-space = 20\mm % distance entre systèmes (du centre de chaque 
portée)
% 	foot-separation = 4\mm % distance entre le dernier système et le pied de 
page
% 	bottom-margin = 6\mm % distance entre le pied de page et le bas de la page
% 	page-top-space = 12\mm % pour les petits systèmes, distance entre le haut 
de la zone d'impression et le centre de la première portée

%% 	Autres  réglages possibles à décommenter et modifier si besoin
% 	auto-first-page-number = ##t		% numéro de la première page pair ou impair 
(défaut ##f)
% 	blank-last-page-force = 1		%  ne termine pas sur une page paire (défaut 0)
% 	first-page-number = #1  % numéro de la première page (défaut #1)
% 	page-breaking-between-system-padding =   % outrepasse 
between-system-padding (vide par défaut)
% 	page-count =   % nombre de pages pour la partition (vide par défaut)
% 	page-limit-inter-system-space = ##t		% limite l'espace inter-système si mis 
à ##t (défaut ##f)
% 	page-limit-inter-system-space-factor =   % facteur utilisé par le paramètre 
ci-dessus  (défaut 1.4)
% 	page-spacing-weight = #10.  % importance relative de l'espacement vertical 
et horizontal (défaut #10)
% 	print-all-headers = ##t		% imprime les en-têtes sur toutes les partitions 
si mis à ##t (défaut ##f)
% 	print-first-page-number = ##t		% imprime le numéro de la première page si 
mis à ##t (défaut ##f)
% 	print-page-number = ##f		%  empêche l'impression des numéros des pages si 
mis à ##f (défaut ##t)
% 	ragged-bottom = ##t		% empêche la justification verticale des pages sauf la 
dernière si mis à ##t (défaut ##f)
% 	ragged-last = ##t		% empêche la justification du dernier système si mis à 
##t (défaut ##f)
% 	ragged-last-bottom = ##t		% force la justification verticale de la dernière 
page si mis à ##f  (défaut ##t)
% 	ragged-right = ##f	% empêche la justification à droite de la ligne si mis à 
##t (défaut ##f) 
% 	systemSeparatorMarkup = \slashSeparator  % markup inséré  entre les 
systèmes
% 	system-count = ##t		% nombre de systèmes pour la partition
		}

-- 
Cordialement, Daniel Cartron
« Pour être heureux avec les êtres, il ne faut leur demander que ce qu'ils
peuvent donner. »
Tristan Bernard

---

From: laurent <[email-masked]>
Date: Sun, 22 Mar 2009 22:12:37 +0100

Merci bcp pour ces réglages!!